package com.uavps.system.domain;

import com.uavps.common.annotation.Excel;
import com.uavps.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 算法任务对象 uavps_algorithm_task
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public class UavpsAlgorithmTask extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 算法任务名称 */
    @Excel(name = "算法任务名称")
    private String name;

    /** 平台无人机ID */
    @Excel(name = "平台无人机ID")
    private Long uavId;

    private UavpsUnmannedAerialVehicle uav;

    /**
     *  目标集群ID
     */
    private Long[] formationIds;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setUavId(Long uavId) {
        this.uavId = uavId;
    }

    public Long getUavId() {
        return uavId;
    }

    public UavpsUnmannedAerialVehicle getUav() {
        return uav;
    }

    public void setUav(UavpsUnmannedAerialVehicle uav) {
        this.uav = uav;
    }

    public Long[] getFormationIds() {
        return formationIds;
    }

    public void setFormationIds(Long[] formationIds) {
        this.formationIds = formationIds;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("uavId", getUavId())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
